Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.phase
Class PhaseChainCache

    java.lang.Object
      org.apache.cxf.phase.PhaseChainCache

    public final class PhaseChainCache

extends java.lang.Object

Constructor Summary
`PhaseChainCache()`

Method Summary
`PhaseInterceptorChain` | `get(java.util.SortedSet<Phase> phaseList, java.util.List<Interceptor> p1)`
`PhaseInterceptorChain` | `get(java.util.SortedSet<Phase> phaseList, java.util.List<Interceptor> p1, java.util.List<Interceptor> p2)`
`PhaseInterceptorChain` | `get(java.util.SortedSet<Phase> phaseList, java.util.List<Interceptor> p1, java.util.List<Interceptor> p2, java.util.List<Interceptor> p3)`
`PhaseInterceptorChain` | `get(java.util.SortedSet<Phase> phaseList, java.util.List<Interceptor> p1, java.util.List<Interceptor> p2, java.util.List<Interceptor> p3, java.util.List<Interceptor> p4)`
`PhaseInterceptorChain` | `get(java.util.SortedSet<Phase> phaseList, java.util.List<Interceptor> p1, java.util.List<Interceptor> p2, java.util.List<Interceptor> p3, java.util.List<Interceptor> p4, java.util.List<Interceptor> p5)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhaseChainCache

    public PhaseChainCache()

Method Detail

### get

    public PhaseInterceptorChain get(java.util.SortedSet<Phase> phaseList,
                                     java.util.List<Interceptor> p1)

### get

    public PhaseInterceptorChain get(java.util.SortedSet<Phase> phaseList,
                                     java.util.List<Interceptor> p1,
                                     java.util.List<Interceptor> p2)

### get

    public PhaseInterceptorChain get(java.util.SortedSet<Phase> phaseList,
                                     java.util.List<Interceptor> p1,
                                     java.util.List<Interceptor> p2,
                                     java.util.List<Interceptor> p3)

### get

    public PhaseInterceptorChain get(java.util.SortedSet<Phase> phaseList,
                                     java.util.List<Interceptor> p1,
                                     java.util.List<Interceptor> p2,
                                     java.util.List<Interceptor> p3,
                                     java.util.List<Interceptor> p4)

### get

    public PhaseInterceptorChain get(java.util.SortedSet<Phase> phaseList,
                                     java.util.List<Interceptor> p1,
                                     java.util.List<Interceptor> p2,
                                     java.util.List<Interceptor> p3,
                                     java.util.List<Interceptor> p4,
                                     java.util.List<Interceptor> p5)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.